#
# spec file for package ispell-bulgarian
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ispell-bulgarian
Version:        4.2
Release:        2.4
Summary:        Bulgarian Ispell Dictionary
License:        GPL-2.0+ or MPL-1.1 or LGPL-3.0+
Group:          Productivity/Text/Spell
Url:            https://sourceforge.net/projects/bgoffice
Source:         https://downloads.sourceforge.net/bgoffice/ispell-bg-%{version}.tar.gz
Patch0:         destdir.patch
BuildRequires:  ispell
Provides:       ispell_dictionary
Provides:       locale(ispell:bg)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This packages includes a ready Bulgarian dictionary for ispell.
A short usage description for ispell is given in
%{_docdir}/ispell/README of the packages ispell. The
sources for this dictionary are included in the package dicts.

%prep
%autosetup -p0 -n ispell-bg-%{version}

%build
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc Copyright *.txt ChangeLog
%{_prefix}/lib/ispell/bulgarian.*

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Mar  7 2017 adam.majer@suse.de
- destdir.patch: Remove versioned name from
  ispell-bg-4.1-destdir.patch allowing it's changes to be tracked
  more easily.
* Sat Mar  4 2017 rpm@fthiessen.de
- Update to version 4.2
  * License changed
  * About 200 new words
* Sat Feb  4 2012 jengelh@medozas.de
- Remove redundant tags/sections (see specfile guidelines)
* Tue Feb  5 2008 lmichnovic@suse.cz
- update to version 4.1
* Fri Feb 24 2006 lmichnovic@suse.cz
- added Provides:  locale (ispell:bg)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  6 2005 pmladek@suse.cz
- build an architecture dependent package; the hash table ondisk format
  depends on architecture (little/big endiannes, pointer size) [#49407]
* Wed Sep  1 2004 pmladek@suse.cz
- updated to version 4.0
* Tue Mar 16 2004 pmladek@suse.cz
- package created, version 3.0  [#31615]
